probe::socket.aio_write
Prev | Chapter 14. Socket Tapset | Next

## Name

probe::socket.aio_write — Message send via `sock_aio_write`

## Synopsis

    socket.aio_write

## Values

`size`

  Message size in bytes

`name`

  Name of this probe

`protocol`

  Protocol value

`family`

  Protocol family value

`state`

  Socket state value

`type`

  Socket type value

`flags`

  Socket flags value

## Context

The message sender

## Description

Fires at the beginning of sending a message on a socket via the `sock_aio_write` function

Prev | Up | Next
probe::socket.aio_read.return | Home | probe::socket.aio_write.return